## stanford-www-scheduler 26

=== debian/changelog ===
stanford-www-scheduler (26) unstable; urgency=medium

  * Fix bad bug caused by the change in version 25. Forgot to update one
    of the call_remctl() invocations to supply the service name.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Thu, 18 Sep 2025 16:58:30 -0700

stanford-www-scheduler (25) unstable; urgency=medium

  * Add the text "(inactive)" to all the jobs on the index page that are,
    in fact, inactive.`
  * When making remctl calls require the service name (e.g.,
    "host/lsdb2.stanford.edu@stanford.edu" or
    "service/afsdir-dev@stanford.edu". This change will require an update
    to the deployed services in the configuration file under
    "remctl:afsdir" and "remctl:afstools"; see
    etc/www-scheduler/www-scheduler-config.yaml.example for examples.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Wed, 20 Aug 2025 07:14:44 -0700

stanford-www-scheduler (23) unstable; urgency=medium

  * Fix a bug where when a job was renewed via the web interface the
    cr_active field was not set to 'Yes'. This is important as the
    expiration cron job sets old jobs' cr_active field to 'No'.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Fri, 23 Sep 2022 09:57:26 -0700

stanford-www-scheduler (22) unstable; urgency=medium

  * Fix string not interpolating line-feeds correctly.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 09 Aug 2022 13:19:35 -0700

stanford-www-scheduler (21) unstable; urgency=medium

  * Make it clear when sending expiration notifications from the
    non-production instance that these are not production notifications.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 09 Aug 2022 13:11:29 -0700

stanford-www-scheduler (20) unstable; urgency=medium

  * Add support for protected ids, that is, for jobs that are never
    expired by "cron-main expire" even if their last updated time is very
    far in the past.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 09 Aug 2022 08:55:22 -0700

stanford-www-scheduler (19) unstable; urgency=medium

  * Add progress message about number of jobs were expired.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Fri, 05 Aug 2022 19:30:33 -0700

stanford-www-scheduler (18) unstable; urgency=medium

  * Remove some unneeded whitespace in SQL queries.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Fri, 05 Aug 2022 11:49:17 -0700

stanford-www-scheduler (17) unstable; urgency=medium

  * Change the name of some of the smtp_email: configuration directives.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Fri, 05 Aug 2022 07:59:05 -0700

stanford-www-scheduler (16) unstable; urgency=medium

  * Add maintenance script /usr/sbin/cron-maint.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Thu, 04 Aug 2022 08:16:14 -0700

stanford-www-scheduler (15) unstable; urgency=medium

  * Fix issue with cron-distribute test mode.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Mon, 01 Aug 2022 10:15:14 -0700

stanford-www-scheduler (14) unstable; urgency=medium

  * Add impersonation support.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Thu, 26 May 2022 10:29:08 -0700

stanford-www-scheduler (13) unstable; urgency=medium

  * Add some clarifications to some prgress messages.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Sun, 01 May 2022 09:58:35 -0700

stanford-www-scheduler (12) unstable; urgency=medium

  * Include Debian package default-mysql-client as a dependency (needed by
    /usr/sbin/dump-scheduler-db.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Thu, 28 Apr 2022 11:53:56 -0700

stanford-www-scheduler (11) unstable; urgency=medium

  * Add utility script /usr/sbin/dump-scheduler-db.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Thu, 28 Apr 2022 11:24:20 -0700

stanford-www-scheduler (10) unstable; urgency=medium

  * Add utility script /usr/sbin/run-job; used to manually run job on a Job Server.
  * Add remctl-client as a package dependency (used by /usr/bin/run-job).

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Thu, 14 Apr 2022 12:04:46 -0700

stanford-www-scheduler (9) unstable; urgency=medium

  * Add needed libgetopt-long-descriptive-perl package to control file.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Mon, 04 Apr 2022 13:48:37 -0700

stanford-www-scheduler (8) unstable; urgency=medium

  * Remove unnecessary loading of Perl module AppConfig in
    /usr/sbin/cron-distribute.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Mon, 04 Apr 2022 13:41:47 -0700

stanford-www-scheduler (7) unstable; urgency=medium

  * Add configuration directives to support a testing mode. This mode will
    only send jobs to job servers if the job id is listed in the
    configuration file.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Sun, 03 Apr 2022 12:05:41 -0700

stanford-www-scheduler (6) unstable; urgency=medium

  * Fix a performance problem by caching cgi_principals during a single run.
  * Add a debug conguration option.
  * Add some timing progress messages.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 15 Mar 2022 16:19:47 -0700

stanford-www-scheduler (5) unstable; urgency=medium

  * Wrap $ENV{'uid'} in its own function to make testing easier.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 15 Mar 2022 08:53:25 -0700

stanford-www-scheduler (4) unstable; urgency=medium

  * Fill in stubbed-out pts_examine function.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 15 Mar 2022 06:46:29 -0700

stanford-www-scheduler (3) unstable; urgency=medium

  * Add two missing package dependencies.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Fri, 11 Mar 2022 20:06:39 -0800

stanford-www-scheduler (2) unstable; urgency=medium

  * Fix some issues and add remctl host configuration.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Fri, 11 Mar 2022 19:57:23 -0800

stanford-www-scheduler (1) unstable; urgency=medium

  * Initial release.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 22 Feb 2022 13:21:24 -0800
