=== debian/control ===
Source: stanford-www-scheduler
Section: web
Priority: optional
Maintainer: Adam Henry Lewenberg <adamhl@stanford.edu>
Build-Depends: debhelper (>= 11)
Homepage: https://code.stanford.edu/et-iedo/debian-packages/stanford-www-scheduler
Standards-Version: 4.5.1

Package: stanford-www-scheduler
Architecture: all
Depends: ${misc:Depends},
 default-mysql-client,
 perl,
 perl-doc,
 lbcd,
 libcgi-formbuilder-perl,
 libcgi-pm-perl,
 libdbd-mariadb-perl,
 libdbi-perl,
 libgetopt-long-descriptive-perl,
 libhtml-template-perl,
 libio-socket-ssl-perl,
 libnet-remctl-perl,
 libreadonly-perl,
 libschedule-cron-perl,
 libstanford-orange-util-perl,
 libstanford-orange-sendmail-perl,
 libtry-tiny-perl,
 libyaml-tiny-perl,
 remctl-client,
 stanford-web-template
Description: Stanford WWW cron job scheduler
 Contains the CGI scripts, programs, and setup files needed to provision
 and manage WWW cron jobs. Migrated from the legacy package
 https://code.stanford.edu/debian-packages/stanford-server-tools.
