=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)

# This include gives us DEB_VERSION
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@


override_dh_install:
	dh_install

	mkdir -p debian/$(PACKAGE)/usr
	cp -rp usr debian/$(PACKAGE)/

	mkdir -p debian/$(PACKAGE)/etc/www-scheduler
	cp -rp etc/www-scheduler/* debian/$(PACKAGE)/etc/www-scheduler/

		# Build man pages for all of our Perl-script commands
		mkdir -p debian/$(PACKAGE)/usr/share/man/man8
		for script in `ls usr/sbin` ; do \
			pod2man --release $(DEB_VERSION) --section 8 \
			--center "System Commands" usr/sbin/$${script} \
			> debian/$(PACKAGE)/usr/share/man/man8/$${script}.8 ; \
		done
